@firede/react-native-community-eslint-configdeprecated

ESLint config for React Native (unofficial)

Usage no npm install needed!

<script type="module">
  import firedeReactNativeCommunityEslintConfig from 'https://cdn.skypack.dev/@firede/react-native-community-eslint-config';
</script>

README

eslint-config-react-native-community

Note: the latest @react-native-community/eslint-config was released 9 months ago. I released the master version as a temporary replacement package.

Installation

yarn add --dev eslint @react-native-community/eslint-config

Note: We're using yarn to install deps. Feel free to change commands to use npm 3+ and npx if you like

Usage

Add to your eslint config (.eslintrc, or eslintConfig field in package.json):

{
    "extends": "@react-native-community"
}